﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

using RoomiezApp.Model;

namespace RoomiezApp.Forms.MainWindowPanels
{
    public partial class Tasks : Form
    {
        private Flat _flat;
        public Tasks(Flat flat)
        {
            _flat = flat;
            InitializeComponent();
        }

        private void Tasks_Load(object sender, EventArgs e)
        {
            initializeComboBox();
        }

        private void initializeComboBox()
        {
            foreach (Roommate r in _flat.Roommates)
            {
                roommateComboBox.Items.Add(r);
            }
        }

        private void toDatePicker_ValueChanged(object sender, EventArgs e)
        {
            toDatePicker.CustomFormat = "dd-MM-yyyy";
        }

        private void resetFiltersButton_Click(object sender, EventArgs e)
        {
            toDatePicker.CustomFormat = " ";
            roommateComboBox.ResetText();
            showCompletedCheckBox.Checked = false;
        }
    }
}
